package report

import (
	logger "eta/eta_mini_ht_api/common/component/log"
	reportDao "eta/eta_mini_ht_api/models/report"
)

func GetHTReportIdsByPermissionIds(permissionIds []int) (ids []int, err error) {
	//品种名字筛选
	permissionNames, err := GetPermissionNamesByPermissionIds(permissionIds)
	if err != nil {
		logger.Error("获取品种名称列表失败:%v", err)
		return
	}
	//更具query查询ids TODO
	ids, err = reportDao.GetIdsByPlateNames(permissionNames)
	return
}
